Subject: Re: bug#78995: [PATCH] ;;;autoload-expand for special macros

From: Stefan Monnier <[email-masked]>
Date: Sun, 13 Jul 2025 22:31:58 -0400

> I will work up a patch using this approach

Sounds good.  🙂

> I think we are in agreement that a simple (autoload macroexpand) will
> suffice.  We could leave list 2 as-is for now, with a note that it can
> be trimmed once `declare' for list 1 is fully operational.
>
> Probably would also need to loop in package authors, e.g. for transient,
> to ensure they are aware of the change.

I think we can start by removing those entries that we can turn into
`declare` directly in Emacs (e.g. not those for Transient).
And then wait for the relevant package authors to start using the new
functionality before we remove the rest, bit by bit.

        Stefan